function net=initnnetwork()
mynet = network;
mynet.numInputs = 245;
mynet.numLayers = 2;
%слои, в которых добавляются сдвиги
mynet.biasConnect = [1; 1];

%указываем для всех 245 входов, что они идут на первый слой
for i=1:245
    mynet.inputConnect(1, i) = 1;
end
%указываем, что первый слой соединен со вторым (веча идет от первого ко второму)
mynet.layerConnect(2, 1) = 1;
%указываем, от какого слоя идет выход
mynet.outputConnect = [1 1];

%количество узлов в первом слое
mynet.layers{1}.size = 10;

mynet.initFcn = 'initlay';
%финукции инициализации определяются собственными фнкциями весов и сдвигов
mynet.layers{1}.initFcn = 'initwb'; 
mynet.layers{2}.initFcn = 'initwb';

%функция от выходов i-го слоя сигмоид
mynet.layers{1}.transferFcn = 'logsig';
mynet.layers{2}.transferFcn = 'logsig';

%инициализируем и настраиваем весы от входов к первому слою
%initzero(10, [0 1]);
rands(10,1);
for i=1:245
   %инициализируем веса нулями
   mynet.inputWeights{1,i}.initFcn = 'rands';
%   mynet.inputWeights{1,i}.learn = 1;
%   mynet.inputWeights{1,i}.learnFcn = 'learngd';
end
%настройка сдвига в первом слое
rands(1,1);
mynet.biases{1}.initFcn = 'rands';
%mynet.biases{1}.learn = 1;

mynet.layerWeights{2,1}.initFcn = 'rands';
%mynet.layerWeights{2,1}.learn = 1;

%инициализация сдвига на втором слое значениеми произвольно взятыми с равномерным распределением 
mynet.biases{2}.initFcn = 'rands';
%mynet.biases{2}.learn = 1;

%batch training
mynet.trainFcn = 'traingda';
%тренируем пока не достигнем нуля
mynet.trainParam.epochs = 1000;
mynet.trainParam.min_grad = 0.01;
mynet.trainParam.lr = 0.0001;
%функция стоимоисти - определена в se.m
mynet.performFcn = 'crossentropyerror';
net = init(mynet);